Firsty

Search...

Search...

Authentication

Get Access Token

Authenticate using OAuth2 client credentials flow and receive a Bearer token for API access. Tokens are valid for 24 hours.

post/auth/token

Request body

application/x-www-form-urlencoded · required

grant_typestringrequired

OAuth2 grant type (must be "client_credentials")

Optionsclient_credentials
client_idstringrequired

Your unique 6-digit client identifier

client_secretstringrequired

Your client authentication secret

Responses

200Authentication successfulapplication/json
Show response body
access_tokenstringrequired

The JWT access token to use for API requests

token_typestringrequired

The type of token (always "Bearer")

OptionsBearer
expires_inintegerrequired

Token validity period in seconds (86400 = 24 hours)

400Bad Request - Missing or invalid parametersapplication/problem+json
Show response body
typestring · urirequired

URI reference to error documentation

titlestringrequired

Short, consistent error summary

statusintegerrequired

HTTP status code

detailstringrequired

Human-readable explanation specific to this occurrence

401Unauthorized - Invalid credentialsapplication/problem+json
Show response body
typestring · urirequired

URI reference to error documentation

titlestringrequired

Short, consistent error summary

statusintegerrequired

HTTP status code

detailstringrequired

Human-readable explanation specific to this occurrence

429Rate limit exceeded